Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_id
string
required

invoice_id is the unique ID representing the invoice. invoice_id is used to retrieve a specific billing period's invoice.

Response

A successful response.

Invoice message represents the details and the total charges associated with one billing period, which starts at the beginning of the month and ends at the beginning of the next month.

The message also includes details about each invoice item.

balances
object[]
required

balances are the amounts of currency left at the time of the invoice.

invoice_id
string
required

invoice_id is the unique ID representing the invoice.

invoice_items
object[]
required

invoice_items are sorted by the cluster name.

period_end
string<date-time>
required

period_end is the end of the billing period (exclusive).

period_start
string<date-time>
required

period_start is the start of the billing period (inclusive).

totals
object[]
required

totals is a list of the total amounts per currency.

adjustments
object[]

adjustments is a list of credits or costs that adjust the value of the invoice (e.g. a Serverless Free Credit or Premium Support adjustment). Unlike line items, adjustments are not tied to a particular cluster.

folder_resources
FolderResource · object[]

Preview: FolderResources is a list of resources in the organization and their folder paths.